const { registerBlockType } = wp.blocks;
const { Fragment } = wp.element;
const { InspectorControls } = wp.blockEditor;
const { TextControl, RadioControl, RangeControl, ColorPalette } = wp.components;
const { serverSideRender: ServerSideRender } = wp;

registerBlockType(
	'child-pages/childpagescard-block',
	{
		title: 'Child Pages Card',
		icon: 'editor-ul',
		category: 'widgets',

		edit ( props ) {
			return [
			<Fragment>
				<ServerSideRender
					block = 'child-pages/childpagescard-block'
					attributes = { props.attributes }
				/>
				<TextControl
					label = { childpagescard_text.pageid }
					value = { props.attributes.pageid }
					onChange = { ( value ) => props.setAttributes( { pageid: value } ) }
				/>

				<InspectorControls>
				{}
					<TextControl
						label = { childpagescard_text.pageid }
						value = { props.attributes.pageid }
						onChange = { ( value ) => props.setAttributes( { pageid: value } ) }
					/>
					<RadioControl
						label = { childpagescard_text.sort }
						selected = { props.attributes.sort }
						onChange = { ( value ) => props.setAttributes( { sort: value } ) }
						options = { [
						{ label: childpagescard_text.asc, value: 'ASC' },
						{ label: childpagescard_text.desc, value: 'DESC' },
						] }
					/>
					<RangeControl
						label = { childpagescard_text.excerpt }
						max = { 500 }
						min = { 0 }
						value = { props.attributes.excerpt }
						onChange = { ( value ) => props.setAttributes( { excerpt: value } ) }
					/>
					<RangeControl
						label = { childpagescard_text.imgsize }
						max = { 200 }
						min = { 0 }
						value = { props.attributes.imgsize }
						onChange = { ( value ) => props.setAttributes( { imgsize: value } ) }
					/>
					<ColorPalette
						label = { 'Color' }
						value = { props.attributes.color }
						type = { 'color' }
						onChange = { ( value ) => props.setAttributes( { color: value } ) }
					/>
				</InspectorControls>
			</Fragment>
			];
		},

		save () {
			return null;
		},

	}
);
